#include<stdio.h>
main()
{
	int N,a[1000],i,K,secenje,poz,pom;
	printf("Koliko ima karata u spilu?");
	scanf("%d",&N);
	printf("Koji je broj na karti iznad izvucene karte?");
	scanf("%d",&K);
	for(i=0;i<N;i++)
		a[i]=i+1;
	printf("Da presecete spil unesite 1, a ako necete 0");
	scanf("%d",&secenje);
	if(secenje==1)
	{
		printf("Na kojoj poziciji zelite preseci?");
		scanf("%d",&poz);
	}
	else if((secenje!=1)&&(secenje!=0))
		printf("Uneli ste pogresan broj");
	//if(secenje==1)
	/*for(i=0;i<poz;i++)
	{
		pom=a[i];
		a[i]=a[poz+1]; 
		a[poz+1]=pom;
		poz++;
	}*/
	for(i=0;i<n;i++)
	{
		if(a[i]==K)
			printf("Izvucena karta je %d",a[i-1]);
	}
	//for(i=0;i<N;i++)
	//	printf("\na[%d]=%d",i,a[i]);
}